# Harbor NFS PersistentVolumes
# NFS path: nfs://192.168.42.8:/volume1/Kubernetes/harbor/data/<component>
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: harbor-registry-pv
  labels:
    app: harbor
    component: registry
spec:
  capacity:
    storage: 100Gi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  nfs:
    server: 192.168.42.8
    path: /volume1/Kubernetes/harbor/data/registry
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: harbor-redis-pv
  labels:
    app: harbor
    component: redis
spec:
  capacity:
    storage: 2Gi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  nfs:
    server: 192.168.42.8
    path: /volume1/Kubernetes/harbor/data/redis
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: harbor-jobservice-pv
  labels:
    app: harbor
    component: jobservice
spec:
  capacity:
    storage: 2Gi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  nfs:
    server: 192.168.42.8
    path: /volume1/Kubernetes/harbor/data/jobservice
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: harbor-trivy-pv
  labels:
    app: harbor
    component: trivy
spec:
  capacity:
    storage: 5Gi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  nfs:
    server: 192.168.42.8
    path: /volume1/Kubernetes/harbor/data/trivy
